# Class DocumentGrid

#### Hierarchy

- XmlComponent
  - DocumentGrid

- Defined in file/document/body/section-properties/properties/doc-grid.ts:43

#####
Index

### Constructors

constructor

### Methods

addChildElement
prepForXml

## Constructors

### constructor

- new DocumentGrid(linePitch, charSpace?, type?): DocumentGrid

- #### Parameters

  - ##### linePitch: number

  - ##### `Optional` charSpace: number

  - ##### `Optional` type: "default" | "lines" | "linesAndChars" | "snapToChars"

  #### Returns DocumentGrid

  Overrides XmlComponent.constructor

  - Defined in file/document/body/section-properties/properties/doc-grid.ts:44

## Methods

### addChildElement

- addChildElement(child): XmlComponent

- #### Parameters

  - ##### child: string | XmlComponent

  #### Returns XmlComponent

  Inherited from XmlComponent.addChildElement

  - Defined in file/xml-components/xml-component.ts:45

### prepForXml

- prepForXml(context): undefined | IXmlableObject

- #### Parameters

  - ##### context: IContext

  #### Returns undefined | IXmlableObject

  Inherited from XmlComponent.prepForXml

  - Defined in file/xml-components/xml-component.ts:20

Generated using TypeDoc